Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmc
Class TaggedRequest

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cmc.TaggedRequest

All Implemented Interfaces:
  ASN1Value

public class TaggedRequest
extends java.lang.Object
implements ASN1Value

CMC TaggedRequest:

       TaggedRequest ::= CHOICE {
           tcr               [0] TaggedCertificationRequest,
           crm               [1] CertReqMsg
       }

Inner Class Summary
`static class` | `TaggedRequest.Template` A Template for decoding a ProofOfPossession.
`static class` | `TaggedRequest.Type` The type of TaggedRequest.

Field Summary
`private CertReqMsg` | `crm`
`static TaggedRequest.Type` | `CRMF`
`static TaggedRequest.Type` | `PKCS10`
`private TaggedCertificationRequest` | `tcr`
`private static TaggedRequest.Template` | `templateInstance`
`private TaggedRequest.Type` | `type`

Constructor Summary
`TaggedRequest()`
`TaggedRequest(TaggedRequest.Type type, TaggedCertificationRequest tcr, CertReqMsg crm)` Constructs a TaggedRequest from its components.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`CertReqMsg` | `getCrm()` If type == CRMF, returns the crm field.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`TaggedCertificationRequest` | `getTcr()` If type == PKCS10, returns the tcr field.
`static TaggedRequest.Template` | `getTemplate()`
`TaggedRequest.Type` | `getType()` Returns the type of TaggedRequest: `PKCS10` `CRMF`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### PKCS10

    public static TaggedRequest.Type PKCS10

### CRMF

    public static TaggedRequest.Type CRMF

### type

    private TaggedRequest.Type type

### tcr

    private TaggedCertificationRequest tcr

### crm

    private CertReqMsg crm

### templateInstance

    private static final TaggedRequest.Template templateInstance

Constructor Detail

### TaggedRequest

    public TaggedRequest()

### TaggedRequest

    public TaggedRequest(TaggedRequest.Type type,
                         TaggedCertificationRequest tcr,
                         CertReqMsg crm)

  Constructs a TaggedRequest from its components.
  Parameters:
    `type` - The type of the request.
    `tcr` - Tagged pkcs10 request.
    `crm` - CRMF request.

Method Detail

### getType

    public TaggedRequest.Type getType()

  Returns the type of TaggedRequest:
  - `PKCS10`
  - `CRMF`

### getTcr

    public TaggedCertificationRequest getTcr()

  If type == PKCS10, returns the tcr field. Otherwise, returns null.

### getCrm

    public CertReqMsg getCrm()

  If type == CRMF, returns the crm field. Otherwise, returns null.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

### getTemplate

    public static TaggedRequest.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD